Problème lors de l'upgrade


#1

Bonjour,

Je viens vers vous car je ne comprends pas d’où peut provenir l’erreur que j’ai décelé.
En effet, j’ai installé une version antérieure de Piwik sur l’un de mes sites, jusque là aucun problème.
Ensuite j’ai remarqué que sur le tableau de bord principal, il m’était proposé de mettre à jour ma version de Piwik ; ce que j’ai fais !
Et là, j’ai reçu un joli message d’erreur me disant :

Parse error: syntax error, unexpected T_STRING, expecting T_CONSTANT_ENCAPSED_STRING or ‘(’ in …Stats/libs/upgradephp/upgrade.php on line 38

Je me doute que c’est un problème d’échappement de chaîne de caractère mais en me rendant dans le fichier concerné, je tombe sur cette ligne :

use Piwik\SettingsServer; ce qui ne m’aide pas des masses.

Je voulais donc savoir d’où pouvait provenir cette erreur étant donné que je n’ai effectué aucune manip après avoir cliquer sur " mettre à jour "

J’espère que vous pourrez m’aider.

Merci d’avance


(Matthieu Aubry) #2

Utilisez vous PHP 5.3.2 au moins ? merci de demander a l’hebergeur de mettre a jour si ce n’est pas le cas, et cela devrait fonctionner?